Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFFooter

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xwpf.usermodel.XWPFHeaderFooter
              org.apache.poi.xwpf.usermodel.XWPFFooter

All Implemented Interfaces:
  IBody

    public class XWPFFooter

extends XWPFHeaderFooter

Sketch of XWPF footer class

Field Summary

Fields inherited from class org.apache.poi.xwpf.usermodel.XWPFHeaderFooter
`bodyElements, document, headerFooter, paragraphs, pictures, tables`

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XWPFFooter()`
`XWPFFooter(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr hdrFtr)`
`XWPFFooter(PackagePart part, PackageRelationship rel)`

Method Summary
`protected void` | `commit()` save and commit footer
`IBody` | `getPart()` returns the Part, to which the body belongs, which you need for adding relationship to other parts
`BodyType` | `getPartType()` get the PartType of the body
`protected void` | `onDocumentRead()` Fired when a package part is read

Methods inherited from class org.apache.poi.xwpf.usermodel.XWPFHeaderFooter
`_getHdrFtr, addPicture, addPicture, addPictureReference, addPictureReference, getAllPackagePictures, getAllPictures, getBodyElements, getListParagraph, getNextPicNameNumber, getOwner, getParagraph, getParagraphArray, getParagraphs, getPictureDataByID, getTable, getTableArray, getTableCell, getTables, getText, insertNewParagraph, insertNewTbl, insertTable, readHdrFtr, setHeaderFooter`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, onDocumentCreate, onSave, read, rebase, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFFooter

    public XWPFFooter()

### XWPFFooter

    public XWPFFooter(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr hdrFtr)
               throws java.io.IOException

Throws:
  `java.io.IOException`

### XWPFFooter

    public XWPFFooter(PackagePart part,
                      PackageRelationship rel)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### commit

    protected void commit()
                   throws java.io.IOException

  save and commit footer

  Overrides:
    `commit` in class `POIXMLDocumentPart`
  Throws:
    `java.io.IOException`

### onDocumentRead

    protected void onDocumentRead()

  Description copied from class: `POIXMLDocumentPart`
  Fired when a package part is read

  Overrides:
    `onDocumentRead` in class `POIXMLDocumentPart`

### getPart

    public IBody getPart()

  returns the Part, to which the body belongs, which you need for adding relationship to other parts

  Returns:
    the Part, to which the body belongs
  See Also:
    `IBody.getPart()`

### getPartType

    public BodyType getPartType()

  get the PartType of the body

  Returns:
    the PartType of the body
  See Also:
    `IBody.getPartType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.